polybori::on_same_type< Type1, Type2, ThenType, ElseType > Class Template Reference

This class switches betweem two types, depending on equality of types. More...

`#include <pbori_func.h>`

## Public Types

typedef ElseType | type

## Detailed Description

### template<class Type1, class Type2, class ThenType, class ElseType>
class polybori::on_same_type< Type1, Type2, ThenType, ElseType >

This class switches betweem two types, depending on equality of types.

## Member Typedef Documentation

template<class Type1, class Type2, class ThenType, class ElseType>

typedef ElseType polybori::on_same_type< Type1, Type2, ThenType, ElseType >::type

The documentation for this class was generated from the following file:

- pbori_func.h